> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.flashid.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.flashid.app/_mcp/server.

# Update proxy

PUT http://127.0.0.1:58931/api/proxies/{id}
Content-Type: application/json

Partial update — only provided fields are changed.

**Body parameters**

| Field | Type | Required | Description |
|---|---|---|---|
| `proxy_type` | `enum` | No | `http` `https` `socks5`. |
| `proxy_host` | `string` | No | Proxy host. |
| `proxy_port` | `number` `string` | No | Proxy port. |
| `proxy_user / proxy_pass` | `string` | No | Credentials. |
| `refresh_url` | `string` | No | IP rotation URL. |
| `ipchecker` | `enum` | No | `ip2location` `ipapi`. |
| `remark` | `string` | No | Note. |

Reference: https://docs.flashid.app/api-reference/proxies/update-proxy

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/proxies/{id}:
    put:
      operationId: update-proxy
      summary: Update proxy
      description: |-
        Partial update — only provided fields are changed.

        **Body parameters**

        | Field | Type | Required | Description |
        |---|---|---|---|
        | `proxy_type` | `enum` | No | `http` `https` `socks5`. |
        | `proxy_host` | `string` | No | Proxy host. |
        | `proxy_port` | `number` `string` | No | Proxy port. |
        | `proxy_user / proxy_pass` | `string` | No | Credentials. |
        | `refresh_url` | `string` | No | IP rotation URL. |
        | `ipchecker` | `enum` | No | `ip2location` `ipapi`. |
        | `remark` | `string` | No | Note. |
      tags:
        - subpackage_proxies
      parameters:
        - name: id
          in: path
          description: '`number` `Required` Proxy id.'
          required: true
          schema:
            type: string
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Proxies_Update proxy_Response_200'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                remark:
                  type: string
                ipchecker:
                  type: string
                proxy_host:
                  type: string
                proxy_pass:
                  type: string
                proxy_port:
                  type: string
                proxy_type:
                  type: string
                proxy_user:
                  type: string
                refresh_url:
                  type: string
              required:
                - remark
                - ipchecker
                - proxy_host
                - proxy_pass
                - proxy_port
                - proxy_type
                - proxy_user
                - refresh_url
servers:
  - url: http://127.0.0.1:58931
    description: http://127.0.0.1:58931
components:
  schemas:
    ApiProxiesIdPutResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        proxy_uuid:
          type: string
          format: uuid
        updated_at:
          type: integer
      required:
        - proxy_uuid
        - updated_at
      title: ApiProxiesIdPutResponsesContentApplicationJsonSchemaData
    Proxies_Update proxy_Response_200:
      type: object
      properties:
        code:
          type: integer
        data:
          $ref: >-
            #/components/schemas/ApiProxiesIdPutResponsesContentApplicationJsonSchemaData
        success:
          type: boolean
      required:
        - code
        - data
        - success
      title: Proxies_Update proxy_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

```

## Examples



**Request**

```json
{
  "remark": "updated note",
  "ipchecker": "ip2location",
  "proxy_host": "1.2.3.4",
  "proxy_pass": "newpass",
  "proxy_port": "1080",
  "proxy_type": "socks5",
  "proxy_user": "user",
  "refresh_url": ""
}
```

**Response**

```json
{
  "code": 0,
  "data": {
    "proxy_uuid": "019e95bb-cd6a-7a0c-b87a-c3efeec64c3f",
    "updated_at": 1779700000
  },
  "success": true
}
```

**SDK Code**

```python Proxies_Update proxy_example
import requests

url = "http://127.0.0.1:58931/api/proxies/%7B%7BproxyId%7D%7D"

payload = {
    "remark": "updated note",
    "ipchecker": "ip2location",
    "proxy_host": "1.2.3.4",
    "proxy_pass": "newpass",
    "proxy_port": "1080",
    "proxy_type": "socks5",
    "proxy_user": "user",
    "refresh_url": ""
}
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Proxies_Update proxy_example
const url = 'http://127.0.0.1:58931/api/proxies/%7B%7BproxyId%7D%7D';
const options = {
  method: 'PUT',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"remark":"updated note","ipchecker":"ip2location","proxy_host":"1.2.3.4","proxy_pass":"newpass","proxy_port":"1080","proxy_type":"socks5","proxy_user":"user","refresh_url":""}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Proxies_Update proxy_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "http://127.0.0.1:58931/api/proxies/%7B%7BproxyId%7D%7D"

	payload := strings.NewReader("{\n  \"remark\": \"updated note\",\n  \"ipchecker\": \"ip2location\",\n  \"proxy_host\": \"1.2.3.4\",\n  \"proxy_pass\": \"newpass\",\n  \"proxy_port\": \"1080\",\n  \"proxy_type\": \"socks5\",\n  \"proxy_user\": \"user\",\n  \"refresh_url\": \"\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Proxies_Update proxy_example
require 'uri'
require 'net/http'

url = URI("http://127.0.0.1:58931/api/proxies/%7B%7BproxyId%7D%7D")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Put.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"remark\": \"updated note\",\n  \"ipchecker\": \"ip2location\",\n  \"proxy_host\": \"1.2.3.4\",\n  \"proxy_pass\": \"newpass\",\n  \"proxy_port\": \"1080\",\n  \"proxy_type\": \"socks5\",\n  \"proxy_user\": \"user\",\n  \"refresh_url\": \"\"\n}"

response = http.request(request)
puts response.read_body
```

```java Proxies_Update proxy_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("http://127.0.0.1:58931/api/proxies/%7B%7BproxyId%7D%7D")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"remark\": \"updated note\",\n  \"ipchecker\": \"ip2location\",\n  \"proxy_host\": \"1.2.3.4\",\n  \"proxy_pass\": \"newpass\",\n  \"proxy_port\": \"1080\",\n  \"proxy_type\": \"socks5\",\n  \"proxy_user\": \"user\",\n  \"refresh_url\": \"\"\n}")
  .asString();
```

```php Proxies_Update proxy_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'http://127.0.0.1:58931/api/proxies/%7B%7BproxyId%7D%7D', [
  'body' => '{
  "remark": "updated note",
  "ipchecker": "ip2location",
  "proxy_host": "1.2.3.4",
  "proxy_pass": "newpass",
  "proxy_port": "1080",
  "proxy_type": "socks5",
  "proxy_user": "user",
  "refresh_url": ""
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Proxies_Update proxy_example
using RestSharp;

var client = new RestClient("http://127.0.0.1:58931/api/proxies/%7B%7BproxyId%7D%7D");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"remark\": \"updated note\",\n  \"ipchecker\": \"ip2location\",\n  \"proxy_host\": \"1.2.3.4\",\n  \"proxy_pass\": \"newpass\",\n  \"proxy_port\": \"1080\",\n  \"proxy_type\": \"socks5\",\n  \"proxy_user\": \"user\",\n  \"refresh_url\": \"\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Proxies_Update proxy_example
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "remark": "updated note",
  "ipchecker": "ip2location",
  "proxy_host": "1.2.3.4",
  "proxy_pass": "newpass",
  "proxy_port": "1080",
  "proxy_type": "socks5",
  "proxy_user": "user",
  "refresh_url": ""
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "http://127.0.0.1:58931/api/proxies/%7B%7BproxyId%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```